> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Team



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/pause
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/pause:
    post:
      tags:
        - Teams
      summary: Pause Team
      operationId: pause_team_api_v1_teams__team_id__pause_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TeamResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_type:
          type: string
          title: Team Type
        display_name:
          type: string
          title: Display Name
        status:
          type: string
          title: Status
        workflow_phase:
          type: string
          title: Workflow Phase
          default: onboarding
        workflow_phase_label:
          type: string
          title: Workflow Phase Label
          default: Setting Up
        tier:
          type: string
          title: Tier
        operation_mode:
          type: string
          title: Operation Mode
        trigger_mode:
          type: string
          title: Trigger Mode
          default: strategy-driven
        default_currency:
          type: string
          title: Default Currency
          default: USD
        auto_config:
          additionalProperties: true
          type: object
          title: Auto Config
          default: {}
        orchestrator_cadence:
          additionalProperties: true
          type: object
          title: Orchestrator Cadence
          default: {}
        content_strategy:
          additionalProperties: true
          type: object
          title: Content Strategy
          default: {}
        stripe_subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Id
        config:
          additionalProperties: true
          type: object
          title: Config
          default: {}
        onboarding_step:
          type: string
          title: Onboarding Step
          default: pending
        connected_accounts:
          items:
            type: string
          type: array
          title: Connected Accounts
          default: []
        brand_kit_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Brand Kit Id
        brand_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Brand Id
        brand_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Name
        hired_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Hired At
        paused_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paused At
        cancelled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancelled At
        subscription_ends_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Subscription Ends At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - team_type
        - display_name
        - status
        - tier
        - operation_mode
        - created_at
        - updated_at
      title: TeamResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````